it-swarm.com.de

Problem bei der Installation im lokalen "Der Übersetzungsserver ist offline"

Ich versuche, Drupal 8 auf meinem Laptop (localhost auf einem WAMP-Server) zu installieren, und in den ersten Schritten wird immer der folgende Fehler angezeigt:

Anforderungsproblem

Der Übersetzungsserver ist offline.

Das Installationsprogramm muss sich an den Übersetzungsserver wenden, um eine Übersetzungsdatei herunterzuladen. Überprüfen Sie Ihre Internetverbindung und stellen Sie sicher, dass Ihre Website den Übersetzungsserver unter http://ftp.drupal.org erreichen kann. Überprüfen Sie die Nachrichten und versuchen Sie es erneut.

Dieser Schritt ist obligatorisch und ich kann den Installationsprozess nicht fortsetzen. Öffnen http://ftp.drupal.org , ich kann die Website ohne Probleme sehen.

Ich habe Antivirus und Firewall deaktiviert und den Vorgang von verschiedenen Standorten (unterschiedlicher Internetzugang) auf demselben Computer mit demselben Ergebnis versucht. Ich verwende EasyPHP WAMP unter Windows 8.1 mit Versionen, die die Anforderungen von PHP und MySQL erfüllen.

Was kann den Zugriff auf den Übersetzungsserver blockieren? Gibt es eine Möglichkeit, diesen Schritt wegzulassen?

5
vicenteherrera

Ich denke, Sie haben im ersten Schritt kein Englisch ausgewählt, und wahrscheinlich befindet sich Ihre Internetverbindung hinter einem Proxy, und ich denke, Drupal unterstützt dies nicht.

Sie können Englisch auswählen und fortfahren oder:

  1. Gehen Sie zu Übersetzungsserver und laden Sie die spezifische Sprache herunter, zum Beispiel Spanisch

enter image description here

enter image description here

  1. Kopieren Sie die Download-Datei in sites/default/files/translations
  2. Fahren Sie mit der Installation fort
17
rpayanm

Laden Sie diese Datei herunter: https://curl.haxx.se/ca/cacert.pem

Und fügen Sie den Pfad zur Datei in Ihrer php.ini hinzu:

curl.cainfo="D:\wamp64\keys\cacert.pem"
3
Yann Choquet

Diese Situation kann aus einer unsichtbaren Ausnahme abgeleitet werden: Der Wrapper "https" konnte nicht gefunden werden. Haben Sie vergessen, ihn zu aktivieren, als Sie PHP konfiguriert haben?

Um dieses Problem zu lösen, müssen Sie "php_openssl" -Modul in php.ini aktivieren (auskommentieren):

extension=C:\xxx\php_openssl.dll

Bevor Sie php.ini bearbeiten, können Sie Ihre Situation mit einem kleinen PHP-Skript testen:

<?php
error_reporting(E_ALL);
$file = file_get_contents('https://www.google.com/');
die($file);
?>

Wenn es zurückkommt "Der Wrapper konnte nicht gefunden werden" https "- haben Sie vergessen, ihn zu aktivieren, als Sie PHP konfiguriert haben?", sollten Sie den Windows-Dienst php.ini und RESTART Apache bearbeiten.

0
sergey